1 - Installation methods
=============

These reflections are mainly for the conditions of a small company, where little money and limited manpower is available. If you want to install tryton, you mainly have three choices:

* distribution-specific packages (available for linux only)
* docker container
* python-pip environments  

Good news about it is, that each version is using the same database structure. So you're free to switch to another variant whenever you want. Here are some arguments for / against each variant.

## distro-specific packages
### pro
* the most easy solution to install
### contra
* Packages tend to be a little outdated. As tryton has a long development history, this may be less serious as it sounds.
* ?? Multiple versions possible ??
## PIP virtual environment
### pro
* manageable complexity
* multiple versions at a time are possible
### contra
* components are more deeply linked into the system, thus a little more vulnerable

## docker 
### pro
* very well separated from the rest of the system
### contra
* docker adds a thick layer of complexity, 
* needs a lot of extra skills to deal with docker
* docker skills are not so common, so help is more difficult / more expensive to get  

In case I'm forced to, I'd recommend to start with PIP. You can dive into tryton and have a manageable system to learn and gain experience. With settled knowledge and abilities, a switch to a docker install on a server is doable with limited effort.