5 - basic handling
==================

# display only accounts with turnover

In the "accounts" view, the amount of accounts can be confusing. To see only accounts with turnover, create this search:
> [meaning-of-"debit"-in-your-language]: !0 or [meaning-of-"credit"-in-your-language]: !0

In German e.g., you would use
Soll: !0 or Haben: !0

You can save this search with a click on the flag icon right in the search strings box.

[Related forum discussion](https://discuss.tryton.org/t/view-only-account-with-bookings/3418/2)

# Booking (or better: posting, creating entries ?)

In general, there are three options to actually do bookings:

* standard manual bookings
* using a booking template
* book via a sale or purchase

1st you'll use for unique moves which occur infrequently.
2nd is ideal for repeating similar bookings going to the same accounts. No additional service as check of incoming payment, stock administration etc. is provided.
3rd enables all additional services of an ERM system.

## standard / manual bookings
[Related forum discussion](https://discuss.tryton.org/t/standard-booking/3363)

Use
== Financial > Entries > Account Moves

Create new lines here, one line for the account and the 2nd for the offset acount. If you need to deal with taxes (VAT/MwSt.), you need at 3rd line for tax (or even more in case of different tax rates).

## use a booking account template

For repeating similar bookings going to the same accounts, you can create a template:

== Financial > Configuration > Templates > Account Move Template
Create templates for your needs, there may be different ones for different VAT rates or different accounts.

Then call the templates by
== Financial > Entries > Create Move from Template

## carry out an order / a purchase

[Related forum discussion](https://discuss.tryton.org/t/receive-articles/2821)

== Purchase > Purchases > blue+
create&finish order
quote
confirm

#### either: physical product
link icon > shipments
create new supplier shipment (blue+)
choose +withoutblueframe
choose items received
click "place in stock"

#### or: service
link icon > invoices

When payed, go to
== financial > invoices > supplier invoices
"validate" and "post", choose an appropriate method of payment defined above.


## carry out a sale

== Sales > Sales > blue+
create&finish sale
quote
confirm

link icon > shipments
create new supplier shipment (blue+)
choose +withoutblueframe
choose items received
click "place in stock"

When payed, go to
== financial > invoices > customer invoices
"validate" and "post", choose an appropriate method of payment defined above.


# customize keyboard shortcuts of the GTK client

You need to quit the client, uncomment the lines in question in the file
~/.config/tryton/<version>/accel.map
do the changes and relaunch the client.

A screencast app like "screenkey" will tell you the names you do not know.

These are examples to map the "next" and "previous" wedge symbol to the "next" and "previous" keys on my keyboard - and the "change view" icon to the "cancel" key:

```
(gtk_accel_path "<tryton>/Form/Switch View" "Cancel")
(gtk_accel_path "<tryton>/Form/Previous" "Back")
(gtk_accel_path "<tryton>/Form/Next" "Forward")
```

# use timesheet

If you do consulting or other kinds of service charged by time, this is for your.
[Related forum discussion](https://discuss.tryton.org/t/usage-of-timesheet-module/3086)

activate modules "timesheet" and "project_invoice"
== timesheet > configuration > works: create an entry in "works"
create an employee as a "party" (even if this person already exists as a "contact")

# inventory

To find out how much of each item you have in stock, just go to:
== inventory&stock > locations (upper) 
Double click your location e voilà...

If you need to correct numbers, goto
== inventory&stock > inventories

Ctrl-N create a new inventory
Fill in the location to be counted
select single items - or hit "complete", if the whole stock shall be counted

# troubleshooting

### set up your system for logging
[Related forum discussion](https://discuss.tryton.org/t/how-to-enable-logging-to-a-file/2311)
# reset admin password
Launch trytond-admin with:
```trytond-admin -c [your-trytond.conf] -d [your-database] -p```
You get a prompt for a new password.


... to be improved and expanded.
