# list of modules and how to deal with them

account
account_asset
account_be
account_credit_limit
## account_de_skr03
Der deutsche Standard-Kostenrahmen SKR03. 
Der SKR04 ist verfügbar von Martin Datentechnik, Teltow. [https://m-ds.de](.)

account_deposit
account_dunning
account_dunning_email
account_dunning_fee
account_dunning_letter
account_es
account_eu
account_fr
account_fr_chorus
## account_invoice
Required to create invoices.

account_invoice_correction
account_invoice_history
account_invoice_line_standalone
account_invoice_secondary_unit
account_invoice_stock
account_payment
account_payment_clearing
account_payment_sepa
account_payment_sepa_cfonb
account_payment_stripe
account_product
account_statement
account_statement_aeb43
account_statement_coda
account_statement_ofx
account_statement_rule
account_stock_anglo_saxon
account_stock_continental
account_stock_landed_cost
account_tax_cash
account_tax_rule_country
analytic_account
analytic_invoice
analytic_purchase
analytic_sale
authentication_sms
bank
carrier
carrier_percentage
carrier_weight
commission
commission_waiting
company
company_work_time
country
currency
customs
dashboard
edocument_uncefact
edocument_unece
gis
google_maps
ldap_authentication
marketing
marketing_automation
notification_email
party
party_relationship
party_siret
product
product_attribute
product_classification
product_classification_taxonomic
product_cost_fifo
product_cost_history
product_measurements
## product_price_list
Price lists, attributed to different customers can be created here. IN
Menu > parties > sales
the correct price list can be choosen.
Price lists can be created in 
Menu > articles > price lists
In the field "formula", you can insert an actual number or a formula like "unit_price*1.5" (without "="). 

product_price_list_dates
product_price_list_parent
production
production_outsourcing
production_routing
production_split
production_work
production_work_timesheet
project
project_invoice
project_plan
project_revenue
purchase
purchase_amendment
purchase_history
purchase_invoice_line_standalone
purchase_request
purchase_request_quotation
purchase_requisition
## purchase_secondary_unit
Used to add a second unit to describe an article, eg "gramms" in addition to "Pieces". Usage see stock_secondary_unit.

purchase_shipment_cost
sale
sale_advance_payment
sale_amendment
sale_complaint
sale_credit_limit
sale_extra
sale_history
## sale_invoice_grouping
Collects order amounts attributed to a certain cutomer, thus a consolidated invoice for several orders will be created. Customers for which this method shall be used, need
Menu > parties > sales "grouping method sales"
to be set to "Standard."

sale_opportunity
sale_payment
sale_price_list
sale_product_customer
sale_promotion
sale_promotion_coupon
## sale_secondary_unit
Used to add a second unit to describe an article, eg "gramms" in addition to "Pieces". Usage see stock_secondary_unit.

sale_shipment_cost
sale_shipment_grouping
sale_shipment_tolerance
sale_stock_quantity
sale_subscription
sale_subscription_asset
sale_supply
sale_supply_drop_shipment
stock
stock_consignment
stock_forecast
stock_inventory_location
stock_location_move
stock_location_sequence
stock_lot
stock_lot_sled
stock_lot_unit
stock_package
stock_package_shipping
stock_package_shipping_dpd
stock_package_shipping_ups
stock_product_location
## stock_secondary_unit
Used to add a second unit to describe an article, eg "gramms" in addition to "pieces". 
*Install modules*:
* stock_secondary_unit
* purchase_secondary_unit
* sale_secondary_unit (in case you want to deal with sales as well)

In “products”, you find the secondary unit under the “purchasers” (resp. “sellers”) tab.

In your picklist template, you need to insert in a new column:

```
<if test="move.secondary_quantity is not None"> #checks if there is a secondary unit at all
<format_number(move.secondary_quantity, user.language, digits=move.secondary_unit_digits)> # inserts the number
<move.secondary_unit.symbol> # inserts the unit
</if>
```
(each line go into one placeholder box, without surrounding brackets <…>.


stock_shipment_measurements
stock_split
stock_supply
stock_supply_day
stock_supply_forecast
stock_supply_production
timesheet
timesheet_cost
user_role
web_shortener
web_user